## pychopper 2.4.0

=== debian/changelog ===
pychopper (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 08:25:47 +0200

pychopper (2.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #963028)

 -- Steffen Moeller <moeller@debian.org>  Wed, 17 Jun 2020 23:41:37 +0200

## pychopper 2.5.0

=== requirements.txt ===
parasail
biopython
matplotlib
six
tqdm
pandas
pytest

=== evaluation/Makefile ===
READS="data/SIRV_E0_pcs109_25k.fq"
REF="data/sirv_transcriptome.fas"
CORES=8
TUN_SAMPLE=10000
IN=$(READS)
IN_EDLIB=edlib_classified_reads.fq
RES_EDLIB=edlib_rescued_reads.fq
IN_PHMM=phmm_classified_reads.fq
RES_PHMM=phmm_rescued_reads.fq

all:
	@echo Reference is at: $(READS)
	@echo Reads are at: $(REF)
	# seqkit sample -n $(NR_READS) $(READS) > $(IN)
	./scripts/process_reads.sh $(REF) $(IN) $(CORES) RAW
	cdna_classifier.py -S phmm_report.tsv -A phmm_hits.bed -w $(RES_PHMM) -t $(CORES) -m phmm -Y $(TUN_SAMPLE) -r phmm_pychopper_report.pdf $(IN) $(IN_PHMM)
	./scripts/process_reads.sh $(REF) $(IN_PHMM) $(CORES) TRIM_PHMM
	./scripts/process_reads.sh $(REF) $(RES_PHMM) $(CORES) RES_PHMM
	cdna_classifier.py -S edlib_report.tsv -A edlib_hits.bed -w $(RES_EDLIB) -t $(CORES) -m edlib -Y $(TUN_SAMPLE) -r edlib_pychopper_report.pdf $(IN) $(IN_EDLIB)
	./scripts/process_reads.sh $(REF) $(IN_EDLIB) $(CORES) TRIM_EDLIB
	./scripts/process_reads.sh $(REF) $(RES_EDLIB) $(CORES) RES_EDLIB

	./scripts/compare.sh wspace_RAW RAW wspace_TRIM_PHMM PHMM
	./scripts/compare.sh wspace_RAW RAW wspace_TRIM_EDLIB EDLIB

clean:
	rm -fr wspace_* *.pdf *.fq cmp_*

=== debian/changelog ===
pychopper (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 26 Oct 2020 19:07:36 +0530

pychopper (2.4.0-3) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtest

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 30 Aug 2020 14:59:38 +0530

=== debian/control ===
Source: pychopper
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
	       python3-sphinx,
	       python3-sphinx-argparse,
	       python3-sphinx-rtd-theme,
               python3-all,
               python3-edlib <!nocheck>,
               python3-parasail <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-seaborn <!nocheck>,
               python3-tqdm <!nocheck>,
               python3-six <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-arraydiff <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-doctestplus <!nocheck>,
               python3-pytest-forked <!nocheck>,
               python3-pytest-openfiles <!nocheck>,
               python3-pytest-remotedata <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-hypothesis <!nocheck>,
               python3-pytest-mock <!nocheck>,
               xonsh <!nocheck>
Standards-Version: 4.5.0
Homepage: https://github.com/nanoporetech/pychopper
Vcs-Browser: https://salsa.debian.org/med-team/pychopper
Vcs-Git: https://salsa.debian.org/med-team/pychopper.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pychopper
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends}
Description: identify, orient and trim full-length Nanopore cDNA reads
 Pychopper v2 is a Python module to identify, orient and trim full-length
 Nanopore cDNA reads. It is also able to rescue fused reads and provides
 the script 'cdna_classifier.py'.  The general approach of Pychopper v2
 is the following:
 .
  * Pychopper first identifies alignment hits of the primers across the
    length of the sequence. The default method for doing this is using
    nhmmscan with the pre-trained strand specific profile HMMs, included
    with the package. Alternatively, one can use the edlib backend,
    which uses a combination of global and local alignment to identify
    the primers within the read.
  * After identifying the primer hits by either of the backends, the
    reads are divided into segments defined by two consecutive primer
    hits. The score of a segment is its length if the configuration of
    the flanking primer hits is valid (such as SPP,-VNP for forward reads)
    or zero otherwise.
  * The segments are assigned to rescued reads using a dynamic programming
    algorithm maximizing the sum of used segment scores (hence the amount
    of rescued bases). A crucial observation about the algorithm is that
    if a segment is included as a rescued read, then the next segment
    must be excluded as one of the primer hits defining it was "used
    up" by the previous segment. This put constraints on the dynamic
    programming graph. The arrows in read define the optimal path for
    rescuing two fused reads with the a total score of l1 + l3.
 .
 A crucial parameter of Pychopper v2 is -q, which determines the
 stringency of primer alignment (E-value in the case of the pHMM
 backend). This can be explicitly specified by the user, however by
 default it is optimized on a random sample of input reads to produce
 the maximum number of classified reads.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=pychopper

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	cd docs && PYTHONPATH=.. make man

override_dh_auto_install:
	dh_auto_install
	find debian/python3-pychopper -name .gitignore -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache .pybuild
	make clean
	cd docs && make clean # fails
	rm -f docs/cmd_list.rst docs/pychopper.phmm_data.rst docs/pychopper.primer_data.rst docs/pychopper.tests.rst
	rm -f cdna_classifier_report.pdf cdna_classifier_report.tsv


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v"
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pychopper-$1.tar.gz%" \
   https://github.com/nanoporetech/pychopper/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pychopper 2.7.2

=== requirements.txt ===
parasail
biopython
matplotlib
six
tqdm==4.26.0
pandas
numpy
pytest

=== debian/changelog ===
pychopper (2.7.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.7.2 (Closes: #1021971)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Update fixTests.patch again
  * d/rules:
    + Rename pychopper.py script post build
    + Get tests running
    + Remove exec perm over PCS111_primers.fas
    + Prune .gitignore(s) post install
  * Add custom d/clean and get rid of some custom removals in d/rules
  * Check for supported versions in autopkgtests
  * Add python3-edlib to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Sat, 19 Nov 2022 21:07:37 +0530

pychopper (2.5.0-2) unstable; urgency=medium

  * Team Upload.
  [ Charles Plessy ]
  * Point to new upstream source repository.
  * Prepare for next upstream release.

  [ Nilesh Patra ]
  * Update fixTests.patch
  * Copy tests dir into builddir to run build-time tests
    and prune once done
    - Both changes above fix the build. Closes: #1021971

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Nov 2022 20:14:49 +0530

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
                xonsh <!nocheck>
-Standards-Version: 4.5.0
-Homepage: https://github.com/nanoporetech/pychopper
+Standards-Version: 4.6.1
+Homepage: https://github.com/epi2me-labs/pychopper
 Vcs-Browser: https://salsa.debian.org/med-team/pychopper
 Vcs-Git: https://salsa.debian.org/med-team/pychopper.git
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=pychopper
export PYBUILD_BEFORE_TEST=cp -av $(CURDIR)/pychopper/tests/ {build_dir}/pychopper/
DEF_PY=$(shell py3versions -d)
DEF_BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	cd docs && PYTHONPATH=.. make man

execute_after_dh_auto_build:
	for py in `py3versions -s`; do \
		builddir=$$(pybuild --print build_dir --interpreter $$py); \
		mv $$builddir/pychopper/scripts/pychopper.py $$builddir/pychopper/scripts/pychopper; \
	done

override_dh_auto_clean:
	dh_auto_clean
	make clean
	cd docs && make clean # fails

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="export PATH=$(DEF_BUILDDIR3)/pychopper/scripts:$$PATH; \
	chmod +x $(DEF_BUILDDIR3)/pychopper/scripts/pychopper; PYTHONPATH={build_dir} {interpreter} -m pytest -v"
	set -e; \
	for py in `py3versions -sv`; do \
	rm -rf ".pybuild/cpython3_$${py}_$(PYBUILD_NAME)/pychopper/tests/"; \
	done
endif

execute_after_dh_auto_install:
	find debian/ -name .gitignore -delete

override_dh_fixperms:
	dh_fixperms
	find debian/ -name PCS111_primers.fas -exec chmod -x '{}' \;

## pychopper 2.7.3

=== debian/changelog ===
pychopper (2.7.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.3
  * Raising Standards version to 4.6.2 (no change)
  * Adding a note in d/README.source about the non-free license of future
    versions
  * Removing an unused Lintian override

 -- Pierre Gruet <pgt@debian.org>  Sun, 18 Jun 2023 15:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
                xonsh <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/epi2me-labs/pychopper
 Vcs-Browser: https://salsa.debian.org/med-team/pychopper
 Vcs-Git: https://salsa.debian.org/med-team/pychopper.git

## pychopper 2.7.9

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 pandas
 numpy
 pytest
+pysam

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
MODULE		  = pychopper

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"


clean:
	rm -rf $(BUILDDIR)/*
	rm -f $(MODULE).rst
	rm -f modules.rst

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# 

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pychopper (2.7.9-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.9
  * Update d/clean (Closes: #1048644)
  * Add pysam as build dep
  * Update name of provided script in package description

 -- Ananthu C V <weepingclown@disroot.org>  Tue, 05 Dec 2023 23:27:42 +0530

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
                python3-pytest-xdist <!nocheck>,
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-pysam <!nocheck>,
                xonsh <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://github.com/epi2me-labs/pychopper
@@ -43,7 +44,7 @@
 Description: identify, orient and trim full-length Nanopore cDNA reads
  Pychopper v2 is a Python module to identify, orient and trim full-length
  Nanopore cDNA reads. It is also able to rescue fused reads and provides
- the script 'cdna_classifier.py'.  The general approach of Pychopper v2
+ the script 'pychopper.py'.  The general approach of Pychopper v2
  is the following:
  .
   * Pychopper first identifies alignment hits of the primers across the

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pychopper-$1.tar.gz%" \
   https://github.com/epi2me-labs/pychopper/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pychopper 2.7.10

=== Makefile ===
.PHONY: develop docs

PYTHON ?= python3

IN_VENV=. ./venv/bin/activate

venv/bin/activate:
	test -d venv || $(PYTHON) -m venv venv
	${IN_VENV} && pip install pip --upgrade
	${IN_VENV} && pip install -r requirements.txt

develop: venv/bin/activate
	${IN_VENV} && python setup.py develop

test: venv/bin/activate
#	${IN_VENV} && pip install flake8 flake8-rst-docstrings flake8-docstrings flake8-import-order flake8-forbid-visual-indent
#	${IN_VENV} && flake8 pychopper \
#		--import-order-style google --application-import-names pychopper \
#		--statistics
	# demo should run without error
	${IN_VENV} && python setup.py install

IN_BUILD=. ./pypi_build/bin/activate
pypi_build/bin/activate:
	test -d pypi_build || $(PYTHON) -m venv pypi_build --prompt "(pypi) "
	${IN_BUILD} && pip install pip --upgrade
	${IN_BUILD} && pip install --upgrade pip setuptools twine wheel readme_renderer[md] keyrings.alt

.PHONY: sdist
sdist: pypi_build/bin/activate
	${IN_BUILD} && python setup.py sdist

.PHONY: clean
clean:
	rm -rf __pycache__ dist build venv pychopper.egg-info tmp docs/_build

# Documentation
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
BUILDDIR      = _build
PAPER         =
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
DOCSRC = docs
docs: venv/bin/activate
	${IN_VENV} && pip install sphinx sphinx_rtd_theme sphinx-argparse
	${IN_VENV} && cd $(DOCSRC) && $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(DOCSRC)/$(BUILDDIR)/html."
	touch $(DOCSRC)/$(BUILDDIR)/html/.nojekyll

=== requirements.txt ===
parasail
biopython
matplotlib
tqdm==4.26.0
pandas
numpy
pytest
pysam

=== evaluation/Makefile ===
--- 
+++ 
@@ -13,10 +13,10 @@
 	@echo Reads are at: $(REF)
 	# seqkit sample -n $(NR_READS) $(READS) > $(IN)
 	./scripts/process_reads.sh $(REF) $(IN) $(CORES) RAW
-	cdna_classifier.py -S phmm_report.tsv -A phmm_hits.bed -w $(RES_PHMM) -t $(CORES) -m phmm -Y $(TUN_SAMPLE) -r phmm_pychopper_report.pdf $(IN) $(IN_PHMM)
+	pychopper -S phmm_report.tsv -A phmm_hits.bed -w $(RES_PHMM) -t $(CORES) -m phmm -Y $(TUN_SAMPLE) -r phmm_pychopper_report.pdf $(IN) $(IN_PHMM)
 	./scripts/process_reads.sh $(REF) $(IN_PHMM) $(CORES) TRIM_PHMM
 	./scripts/process_reads.sh $(REF) $(RES_PHMM) $(CORES) RES_PHMM
-	cdna_classifier.py -S edlib_report.tsv -A edlib_hits.bed -w $(RES_EDLIB) -t $(CORES) -m edlib -Y $(TUN_SAMPLE) -r edlib_pychopper_report.pdf $(IN) $(IN_EDLIB)
+	pychopper -S edlib_report.tsv -A edlib_hits.bed -w $(RES_EDLIB) -t $(CORES) -m edlib -Y $(TUN_SAMPLE) -r edlib_pychopper_report.pdf $(IN) $(IN_EDLIB)
 	./scripts/process_reads.sh $(REF) $(IN_EDLIB) $(CORES) TRIM_EDLIB
 	./scripts/process_reads.sh $(REF) $(RES_EDLIB) $(CORES) RES_EDLIB

=== debian/changelog ===
pychopper (2.7.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.10
  * Remove build dependency on python3-six
  * Use dh-sequence-python3
  * Annotate sphinx dependencies as <!nodoc>
  * Add build dependency on python3-zombie-imp

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jul 2024 14:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
-	       python3-sphinx,
-	       python3-sphinx-argparse,
-	       python3-sphinx-rtd-theme,
+	       python3-sphinx <!nodoc>,
+	       python3-sphinx-argparse <!nodoc>,
+	       python3-sphinx-rtd-theme <!nodoc>,
                python3-all,
                python3-edlib <!nocheck>,
                python3-parasail <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-seaborn <!nocheck>,
                python3-tqdm <!nocheck>,
-               python3-six <!nocheck>,
                python3-pandas <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-arraydiff <!nocheck>,
@@ -29,6 +28,7 @@
                python3-hypothesis <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-pysam <!nocheck>,
+               python3-zombie-imp <!nodoc>,
                xonsh <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://github.com/epi2me-labs/pychopper

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEF_BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-edlib
Restrictions: allow-stderr
